import { Component } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';

@Component({
  selector: 'app-job-renderer',
  template: ` <span>{{ jobName }}</span> `,
})
export class JobRenderer implements ICellRendererAngularComp {
  public params!: ICellRendererParams;
  public jobName: string;

  agInit(params: ICellRendererParams): void {
    this.params = params;
    if (params.value) {
      if (params.value.name) {
        this.jobName = params.value.name;
      } else if (params.data.name && !params.data.job) {
        this.jobName = params.data.name;
      } else {
        this.jobName = params.value;
      }
    } else {
      this.jobName = null;
    }
  }

  refresh() {
    return false;
  }
}
