import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ButtonType } from '@gouvfr-anct/mediation-numerique/shared';
import { formType } from '../../form/form-view/formType.enum';
import { structureFormStep } from '../../form/form-view/structure-form/structureFormStep.enum';
import { RouterListenerService } from '../../services/routerListener.service';
@Component({
  selector: 'app-structure-join',
  templateUrl: './structure-join.component.html',
  styleUrls: ['./structure-join.component.scss'],
})
export class StructureJoinComponent implements OnInit {
  public structureName?: string = '';
  public isClaimed: boolean = null;
  public structureFormStepEnum = structureFormStep;
  public formTypeEnum = formType;
  public buttonTypeEnum = ButtonType;

  constructor(private routerListener: RouterListenerService, private route: ActivatedRoute) {}

  ngOnInit(): void {
    this.isClaimed = history.state.isClaimed;
    this.route.data.subscribe((data) => {
      if (data.structure) {
        this.structureName = data.structure.structureName;
      }
    });
  }

  previousUrl() {
    this.routerListener.goToPreviousUrl();
  }
}
